/**
 * @classdesc 字典数据
 * @property {String} label 标签
 * @property {*} value 标签
 * @property {Object} raw 原始数据
 */
export default class DictData {
  /**
   * 增加多语言环境的支持，根据 语言环境取特定的字段
   * @param label
   * @param value
   * @param raw
   */
  constructor(label, value, raw) {
    let language = localStorage.getItem('language') || process.env.VUE_APP_DEF_LANGUAGE
    // language 转换成首字母大写
    language = language.charAt(0).toUpperCase() + language.slice(1)
    this.label = raw[`dictLabel${language}`] || label
    this.value = value
    this.raw = raw
  }
}
